summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Matteo Bernardini2012-12-29 02:36:35 +0100
committer dsomero2012-12-30 04:25:36 +0100
commitf895430098db5702f02dbf6ff027090bb7398850 (patch)
treefed2c22f84cfb25a9c3d838d1557a1700e32b2ce /libraries
parentf8a7fe5abbf02956acdfd9e9a9550b67bae60a79 (diff)
downloadslackbuilds-f895430098db5702f02dbf6ff027090bb7398850.tar.gz
libraries/glm: Updated for version 0.9.4.1 moved from development.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/glm/README9
-rw-r--r--libraries/glm/glm.SlackBuild75
-rw-r--r--libraries/glm/glm.info10
-rw-r--r--libraries/glm/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/libraries/glm/README b/libraries/glm/README
new file mode 100644
index 0000000000..31a795555f
--- /dev/null
+++ b/libraries/glm/README
@@ -0,0 +1,9 @@
+glm (OpenGL Mathematics)
+
+OpenGL Mathematics (GLM) is a header only C++ mathematics library for
+graphics software based on the OpenGL Shading Language (GLSL)
+specification.
+GLM provides classes and functions designed and implemented with the
+same naming conventions and functionalities than GLSL so that when a
+programmer knows GLSL, he knows GLM as well which makes it really easy
+to use.
diff --git a/libraries/glm/glm.SlackBuild b/libraries/glm/glm.SlackBuild
new file mode 100644
index 0000000000..84632049b2
--- /dev/null
+++ b/libraries/glm/glm.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for glm
+# Copyright Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=glm
+VERSION=${VERSION:-0.9.4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DGLM_TEST_ENABLE:STRING="ON" ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a readme.txt copying.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/glm/glm.info b/libraries/glm/glm.info
new file mode 100644
index 0000000000..2cb408f5cb
--- /dev/null
+++ b/libraries/glm/glm.info
@@ -0,0 +1,10 @@
+PRGNAM="glm"
+VERSION="0.9.4.1"
+HOMEPAGE="http://glm.g-truc.net/"
+DOWNLOAD="http://downloads.sourceforge.net/ogl-math/glm-0.9.4.1.zip"
+MD5SUM="51e638f826bb9ec2f1b75520d9df9ffc"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/libraries/glm/slack-desc b/libraries/glm/slack-desc
new file mode 100644
index 0000000000..cf6a8896b5
--- /dev/null
+++ b/libraries/glm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+glm: glm (OpenGL Mathematics)
+glm:
+glm: OpenGL Mathematics (GLM) is a header only C++ mathematics library for
+glm: graphics software based on the OpenGL Shading Language (GLSL)
+glm: specification.
+glm: GLM provides classes and functions designed and implemented with the
+glm: same naming conventions and functionalities than GLSL so that when a
+glm: programmer knows GLSL, he knows GLM as well which makes it really easy
+glm: to use.
+glm:
+glm: homepage: http://glm.g-truc.net/